<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ control language="VB" autoeventwireup="false" inherits="controls_purchasereceived, App_Web_qzeytpcu" %>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr><td colspan="3">
<div align="center">
    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
</div>
</td></tr>
    <tr>
        <td valign="top" style="width: 48%;">
            <fieldset style="height: 200px;" runat="server" id="fld_vendor_display">
                <legend>Vendor</legend>
                <div runat="server" id="order_from" />
            </fieldset>
        </td>
        <td style="width: 15px;">&nbsp;</td>
        <td valign="top" style="width: 50%;">
            <fieldset style="height: 200px;" id="fld_purchase" runat="server" >
                <legend>Purchase Details</legend>
                <table width="100%" cellpadding="2" cellspacing="0" border="0">
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Purchase Order Number:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="purchase_prefix" Runat="server" /><asp:Label ID="purchase_id" Runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Purchase Date:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="purchase_date" Runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Due Date:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="due_date" Runat="server" /></td>
                    </tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">FOB:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="fob" Runat="server" /></td>
</tr>
<tr><td nowrap="nowrap" class="lbl_bold left">VIA:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="via" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Terms:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="poterms" Runat="server" /></td>
</tr>

<tr>
<td nowrap="nowrap" class="lbl_bold left">Division/Location:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="P_DivNumber" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Department:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="P_Department" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Project:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="P_Project" Runat="server" /></td>
</tr>
                </table>					                        
            </fieldset>
            
<asp:Panel ID="pnl_Variables" Visible="false" runat="server">
<div style="text-align:left;">
CompID=&nbsp;<asp:label ID="P_CompanyID" runat="server" visible="true"/>
DivID=&nbsp;<asp:label ID="P_DivID" runat="server" visible="true"/>
DeptID=&nbsp;<asp:label ID="P_DeptID" runat="server" visible="true"/>
ProjID=&nbsp;<asp:label ID="P_ProjID" runat="server" visible="true"/>
</div>
</asp:Panel>

        </td>
    </tr>
 <tr>
<td valign="top" style="width: 48%;">
<fieldset style="height: 110px;" runat="server" id="fld_company_display">
<legend>Bill To:</legend>
<div runat="server" id="bill_to" />
</fieldset>
</td>
 <td style="width: 15px;">&nbsp;</td>
 <td valign="top" style="width: 50%;">
<fieldset style="height: 110px;" runat="server" id="fld_division_display">
<legend>Ship To:</legend>
<div runat="server" id="ship_to" />
</fieldset>
</td>
 </tr>   
    
</table>

<asp:Repeater ID="rpt" Runat="server">
    <HeaderTemplate>
        <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
            <tr class="title" style="text-align: left;">
                <td colspan="10"><h2>Purchase Items</h2></td>
            </tr>
            <tr class="header">
                <th valign="top" width="200" class="left lbl_bold">Description</th>
                <th valign="top" width="75" class="left lbl_bold">Item Number</th>
                <th valign="top" width="66" class="left lbl_bold">Units</th>
                <th valign="top" width="58" class="lbl_bold center">Quantity</th>
                <th valign="top" width="75" class="lbl_bold center">Unit Price</th>
                <th valign="top" width="100" class="lbl_bold center">Sub Total</th>
                <th valign="top" width="66" class="lbl_bold center">Discount %</th>
                <th valign="top" width="66" class="lbl_bold center">Total</th>
                <th valign="top" width="40" class="lbl_bold center">Taxable</th>
                <th valign="top" width="40" class="lbl_bold center">Received</th>
            </tr>
    </HeaderTemplate>		        
    <ItemTemplate>
        <tr class="shaded">
            <td class="left"><%#Eval("description")%></td>
            <td class="left"><%#Eval("itemnumber")%></td>
            <td style="text-align:left;"><%#Eval("UnitType")%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("quantity"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("amount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemSubTotal"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("discount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemTotal"), 2)%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("Taxable")), "Yes", "No")%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("ReceivedItem")), "Yes", "No")%></td>
        </tr>
    </ItemTemplate>
    <AlternatingItemTemplate>
        <tr class="noshaded">
            <td class="left"><%#Eval("description")%></td>
            <td class="left"><%#Eval("itemnumber")%></td>
            <td style="text-align:left;"><%#Eval("UnitType")%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("quantity"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("amount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemSubTotal"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("discount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemTotal"), 2)%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("Taxable")), "Yes", "No")%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("ReceivedItem")), "Yes", "No")%></td>
        </tr>
    </AlternatingItemTemplate>
    <FooterTemplate>
        </table>
    </FooterTemplate> 
</asp:Repeater>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
    	<td valign="top" class="left" style="width: 48%;">
            <fieldset>
                <legend>Comments</legend>
                <asp:label ID="comments" runat="server"></asp:label>
            </fieldset>
        </td>
        <td style="width: 20px;"></td>
        <td style="width:48%;">		                    
            <fieldset>
                <legend>Totals</legend>
                <table width="100%" cellpadding="3" cellspacing="2" border="0">
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Sub-Total:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="sub_total" runat="server" CssClass="right" /></td>
                    </tr>
<tr>
<td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>(-) Discounts:</b></td>
<td nowrap="nowrap" width="100" class="right"><asp:Label ID="discounts_total" runat="server" CssClass="right" /></td>
</tr>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Literal ID="tax_label" runat="server"></asp:Literal>: <asp:Label ID="tax_rate" Text="0.0" CssClass="center" runat="server" />%</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="tax" runat="server" CssClass="right" /></td>
                    </tr>
<tr>
<td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Shipping:</b></td>
<td nowrap="nowrap" width="100" class="right"><asp:Label ID="shipping" runat="server" CssClass="right" /></td>
</tr>
                    <asp:Panel ID="tax_panel" runat="server">
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Literal ID="tax_2_label" runat="server"></asp:Literal>: <asp:Label ID="tax_2_rate" Text="0.0" CssClass="center" runat="server" />%</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="tax_2" runat="server" CssClass="right" /></td>
                    </tr>
                    </asp:Panel>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Total:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="total" runat="server" CssClass="right" /></td>
                    </tr>
<asp:Panel ID="view_payments" Visible="false" runat="server">
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right">Payments:</td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="payments" runat="server" CssClass="right" /></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Amount Due:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ForeColor="red" ID="amount_due" runat="server" CssClass="right" /></td>
                    </tr>
</asp:Panel>
                </table>
            </fieldset>		                
        </td>
    </tr>
</table>